### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »

# macro

## Module: `macro`

Inheritance diagram for `IPython.macro`:

Support for interactive macros in IPython

## `Macro`

class `IPython.macro.``Macro`(data)

  Bases: `IPython.ipapi.IPyAutocall`

  Simple class to store the value of macros as strings.

  Macro is just a callable that executes a string of IPython input when called.

  Args to macro are available in _margv list if you need them.

  `__init__`(data)

### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »